Bug 104323 - [patch] math/vtk-python build failure with python2.5
Summary: [patch] math/vtk-python build failure with python2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-12 07:20 UTC by fmysh
Modified: 2006-12-15 18:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.10 KB, patch)
2006-10-12 07:20 UTC, fmysh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fmysh 2006-10-12 07:20:22 UTC
	With python2.5 math/vtk-python failed to build.

Fix: Add a new patch, files/extra-patch-Common-vtkPythonUtil.cxx.

How-To-Repeat: 
# make

(snip)

[ 19%] Building CXX object Common/CMakeFiles/vtkCommonPython.dir/vtkPythonUtil.o
/usr/ports/math/vtk-python/work/VTK/Common/vtkPythonUtil.cxx: In function `PyObject* PyVTKClassMetaType_GetAttr(PyTypeObject*, char*)':
/usr/ports/math/vtk-python/work/VTK/Common/vtkPythonUtil.cxx:734: error: invalid conversion from `const char*' to `char*'
gmake[2]: *** [Common/CMakeFiles/vtkCommonPython.dir/vtkPythonUtil.o] $B%(%i!<(B 1
gmake[1]: *** [Common/CMakeFiles/vtkCommonPython.dir/all] $B%(%i!<(B 2
gmake: *** [all] $B%(%i!<(B 2
*** Error code 2

Stop in /usr/ports/math/vtk-python.
Comment 1 Edwin Groothuis freebsd_committer 2006-10-12 07:20:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 dfilter service freebsd_committer 2006-12-09 14:55:56 UTC
miwi        2006-12-09 14:55:45 UTC

  FreeBSD ports repository

  Added files:
    math/vtk-python/files extra-patch-Common-vtkPythonUtil.cxx 
  Log:
  - Fix build with python 2.5
  
  PR:             ports/104323
  Submitted by:   TAOKA Fumiyoshi <fmysh@iijmio-mail.jp>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.1       +11 -0     ports/math/vtk-python/files/extra-patch-Common-vtkPythonUtil.cxx (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2006-12-09 14:56:06 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 fmysh 2006-12-15 18:36:57 UTC
On 2006/12/09, at 14:56, Martin Wilke wrote:

> Synopsis: [patch] math/vtk-python build failure with python2.5
>
> State-Changed-From-To: feedback->closed
> State-Changed-By: miwi
> State-Changed-When: Sat Dec 9 14:56:06 UTC 2006
> State-Changed-Why:
> Committed. Thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=104323
>

It seems that the first half of the patch, for Makefile,
was not committed.  It is necessary, isn't it?